{% extends 'gestruc/base.html' %}

{% block content %}

  <h2>formulaire NOURRISSEMENT</h2>

  <form method="post" id="NourForm" data-nour-url="{% url 'gestruc:ajax_load_affectation' %}" novalidate>
    {% csrf_token %}
    <table>
      {{ form.as_table }}
    </table>
    <button type="submit">Enregistrer</button>
    <a href="{% url 'gestruc:nour_list' %}">Ignorer</a>
  </form>

  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

  <script>
    $("#id_rucher").change(function () {
      var url = $("#NourForm").attr("data-nour-url");  // get the url of the `load_cities` view
      var rucherId = $(this).val();  // get the selected country ID from the HTML input

      $.ajax({                       // initialize an AJAX request
        url: url,                    // set the url of the request (= localhost:8000/hr/ajax/load-cities/)
        data: {
          'rucher': rucherId       // add the country id to the GET parameters
        },
        success: function (data) {   // `data` is the return of the `load_cities` view function
          $("#id_affectation").html(data);  // replace the contents of the city input with the data that came from the server
        }
      });

    });
  </script>

{% endblock %}


